Public Member Functions | Friends | Related Functions

# HExecArgs Class Reference
[Device Model]

This class is used to specify information used to control the execution of an asynchronous operation and the notification of its completion. More...

`#include <HExecArgs>`

List of all members.

## Public Member Functions
| HExecArgs (ExecType type=Normal)
| ~HExecArgs ()
ExecType | execType () const
void | setExecType (ExecType type)
## Friends
H_UPNP_CORE_EXPORT bool | operator== (const HExecArgs &, const HExecArgs &)
## Related Functions
(Note that these are not member functions.)
H_UPNP_CORE_EXPORT bool | operator!= (const HExecArgs &, const HExecArgs &)

## Detailed Description

Remarks:
  this class is thread-safe.

## Member Enumeration Documentation

enum ExecType

This enumeration specifies how the asynchronous operation should be run.

Enumerator:

  Normal | This value indicates that the operation should be run normally and its completion or failure should be signaled normally.
  FireAndForget | This value indicates that the operation should be dispatched to be run, but its completion or failure isn't signaled. This value is useful in situations where the result of the operation isn't interesting.

## Constructor & Destructor Documentation

HExecArgs | ( | ExecType | type = `Normal` | ) | `[explicit]`

Creates a new instance.

Parameters:

  | type |

~HExecArgs | ( |  | ) |

Destroys the instance.

## Member Function Documentation

ExecType execType | ( |  | ) | const`[inline]`

Indicates how the operation should be run and its completion or failure be signaled.

Returns:
  a value indicating how the operation should be run and its completion or failure be signaled.

See also:
  setExecType()

void setExecType | ( | ExecType | type | ) | `[inline]`

Sets the value indicating how the operation should be run and its completion or failure be signaled.

Parameters:

  | type | specifies the value indicating how the operation should be run and its completion or failure be signaled.

See also:
  execType()

## Friends And Related Function Documentation

H_UPNP_CORE_EXPORT bool operator== | ( | const HExecArgs & | ,
|  | const HExecArgs & |  |
| ) |  |  | `[friend]`

Compares the two objects for equality.

Returns:
  true in case the object are logically equivalent.

H_UPNP_CORE_EXPORT bool operator!= | ( | const HExecArgs & | ,
|  | const HExecArgs & |  |
| ) |  |  | `[related]`

Compares the two objects for inequality.

Returns:
  true in case the object are not logically equivalent.